error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools"

前言

最近在弄python的爬虫,安装扩展包的时候,提示:

error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": https://visualstudio.microsoft.com/downloads/

果断百度了一下,原来是这个没安装,解决办法

解决方法,我认为有两个:

  1. 按照提示去安装Microsoft Visual C++ 14.0,由于这个空间和时间代价非常的高,不建议使用

所以就发现了一个库的网站:

https://www.lfd.uci.edu/~gohlke/pythonlibs/

 

大概意思就是缺少一个lxml的扩展包,这时候只需要这么做:

点击进入:按照字母查找你需要的库,我这里是lxml

图片如下所示,这里有很多版本,cp后面跟的数字代表了你的python版本,如cp38代表的是python3.6版本,最后面的32和64代表的就是你的计算机系统的操作位数,找到自己对应的那个,点击链接就可以将这个包下载下来,我下载的是lxml-4.5.2-cp38-cp38-win_amd64.whl

然后,将这个文件放置在D盘(方便你安装),接着进入命令行中,直接输入如下指令,注意路径的斜杆方向:pip install d:\pip install d:\lxml-4.5.2-cp38-cp38-win_amd64.whl ,过一会儿,系统提示你安装成功了。

但是我这里有报错。。。

解决办法:下载32位的再次尝试一下。

亲测成功!

「点点赞赏,手留余香」

    还没有人赞赏,快来当第一个赞赏的人吧!
个人项目
0 条回复 A 作者 M 管理员
    所有的伟大,都源于一个勇敢的开始!
欢迎您,新朋友,感谢参与互动!欢迎您 {{author}},您在本站有{{commentsCount}}条评论
TrustAsia 安全签章 阿里云WordPress

Optimized by WPJAM Basic